Bug 247466 - audio/musescore: Add missing dependency 'graphicaleffects'
Summary: audio/musescore: Add missing dependency 'graphicaleffects'
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Adriaan de Groot
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-06-21 21:32 UTC by Keith White
Modified: 2020-09-01 15:06 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (adridg)


Attachments
diffs to add graphicaleffects to Makefile (619 bytes, patch)
2020-06-21 21:32 UTC, Keith White
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Keith White 2020-06-21 21:32:03 UTC
Created attachment 215849 [details]
diffs to add graphicaleffects to Makefile

The palettes [F9] panel is empty.  This is likely because qt5-graphicaleffects is not marked as a dependency.  This patch "works for me".
Comment 1 Adriaan de Groot freebsd_committer 2020-07-12 00:09:46 UTC
Can you point me to something that illustrates what I should be looking at? I don't see anything special after pressing F9 (some kind of panel opens; it is labeled *Palettes* and has a button *Add palettes* and a search field; clicking the button pops up an empty kind of text-balloon).

When I run musescore locally, I **do** see

```
qrc:/qml/palettes/PaletteTree.qml:152: Error: Cannot assign to non-existent property "color"
```
Comment 2 Keith White 2020-07-17 21:06:09 UTC
You should also see a series of submenus like "Clefs", "Key Signatures", ... 

Opening the submenus should provide musical glyphs you can drag onto your score.

I build the port with WEBENGINE=off.  I don't know if that is also necessary to tickle the bug.

If qt5-graphicaleffects has been installed manually or by another package you won't see the problem.

I suppose you could try "pkg delete qt5-graphicaleffects", run musescore note the result of "F9".  Then "pkg install qt5-graphicaleffects", and then re-run musescore, press "F9" and see the difference?

The workaround might be "pkg install qt5-graphicaleffects" until upstream updates their dependencies (or as I suggest just add graphicaleffects to the makefile).  e.g. ref: https://musescore.org/en/node/296715
Comment 3 Adriaan de Groot freebsd_committer 2020-07-18 11:20:49 UTC
There is an upstream bug report:

https://musescore.org/en/node/307238

It looks like Qt 5.15 and their new palette system don't like each other. So we've got two things that affect musescore right now:

- palette needs graphicaleffects. As you say, this can be installed after-the-fact and fixes the palette **if** you have Qt 5.14.
- palette is broken with Qt 5.15.

Since Qt 5.15 has landed in the tree, I could add the dependency as suggested, but then the packaged executable will **still** be broken, just for a different reason.
Comment 4 commit-hook freebsd_committer 2020-08-13 19:39:06 UTC
A commit references this bug:

Author: adridg
Date: Thu Aug 13 19:38:52 UTC 2020
New revision: 544835
URL: https://svnweb.freebsd.org/changeset/ports/544835

Log:
  Update audio/musescore to latest upstream release, 3.5

  - There's no minor (3.5.0) so fiddle a bit with the PLIST substitution
  - Adds dependencies for Qt graphicaleffects
  - Since musescore is not Qt 5.15 compatible (the palettes are broken,
    see https://musescore.org/en/node/307238) but usable-ish, I'm still
    committing this since it's no worse than the previous version w/ Qt 5.15,
    and users with an older Qt can build against that.

  Upstream release notes:
  	https://musescore.org/en/handbook/developers-handbook/release-notes/release-notes-musescore-3x/release-notes-musescore-35x-3

  PR:		247466

Changes:
  head/audio/musescore/Makefile
  head/audio/musescore/distinfo
  head/audio/musescore/pkg-plist
Comment 5 Adriaan de Groot freebsd_committer 2020-08-30 21:52:20 UTC
See sidestream KDE PR https://bugs.kde.org/show_bug.cgi?id=425949 , which contains a workaround:

( unset KDE_FULL_SESSION ; unset XDG_CURRENT_DESKTOP ; unset DESKTOP_SESSION ; musescore )
Comment 6 Adriaan de Groot freebsd_committer 2020-08-31 12:45:26 UTC
https://invent.kde.org/frameworks/qqc2-desktop-style/-/merge_requests/26 resolves this -- it's a problem with the KDE style -- and should be in KDE Frameworks 5.74 next week (or the week after, whenever it lands in FreeBSD).
Comment 7 commit-hook freebsd_committer 2020-09-01 15:04:59 UTC
A commit references this bug:

Author: adridg
Date: Tue Sep  1 15:04:29 UTC 2020
New revision: 547276
URL: https://svnweb.freebsd.org/changeset/ports/547276

Log:
  Backport theme-style fix for KDE qqc2-desktop-style

  The theme was doing weird things which broke Musescore.
  Upstream (except there's a whole forest of intertwined
  bug reports) report https://bugs.kde.org/show_bug.cgi?id=425949

  PR:		247466
  Reported by:	Keith White

Changes:
  head/x11-themes/kf5-qqc2-desktop-style/Makefile
  head/x11-themes/kf5-qqc2-desktop-style/files/
  head/x11-themes/kf5-qqc2-desktop-style/files/patch-git-1f0f210ad1d8286ba7a8254664489f922cbba0c3
Comment 8 Adriaan de Groot freebsd_committer 2020-09-01 15:06:34 UTC
Backported the fix rather than wait two more weeks.